Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453043 - PS field can contain incorrect data if view is altered
Summary: PS field can contain incorrect data if view is altered
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Issue-Tracker
Classification: Retired
Component: User Interface
Version: 4.6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Lisa Lu
QA Contact: David Spalding
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 20:41 UTC by Gary Case
Modified: 2015-01-20 00:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-19 21:23:53 UTC


Attachments (Terms of Use)
screenshot of failure (deleted)
2009-10-05 21:11 UTC, David Spalding
no flags Details

Description Gary Case 2008-06-26 20:41:39 UTC
Description of problem:
Priority Score field can contain incorrect information if view is altered.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Every time.

Steps to Reproduce:
On a default view, click the "Alter View" link. Change the column order to "N/A"
for these fields: Status, Internal Status, Updated, Assigned To, Summary,
Version, Product. Change the name of the view to "testing" and click the
Re-Order Columns button. When the page refreshes, scroll down, click the Save
View button using the "For this session" option.
  
Actual results:
PS field consisting of a link to the IT number, partial HTML and the priority score:

87251&printable=true">56

The IT ticket number in the field(87251 in this example) is a link to this:

https://enterprise.redhat.com/issue-tracker/?module=issues&action=explain-score&tid=<a
href=

Expected results:
PS field consisting of only the priority score number that links to an
explanation of the score, like this:

56

https://enterprise.redhat.com/issue-tracker/?module=issues&action=explain-score&tid=87251&printable=true

Additional info:

Comment 1 Lisa Lu 2009-10-02 20:56:29 UTC
Dave,

Fix is pushed to http://cspserver2.app.dev.redhat.com

try login: gcase/redhat

please let me know if you have any questions.
Lisa

Comment 2 David Spalding 2009-10-05 21:11:12 UTC
Created attachment 363745 [details]
screenshot of failure

confirmed failing in Stage (attached)

Confirmed fix in Dev & WebQA.


Note You need to log in before you can comment on or make changes to this bug.